=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               kross-dev (>= 5.31.0~),
               libboost-dev (>= 1.40.0-2),
               libboost-program-options-dev,
               libkf5akonadi-dev (>= 4:23.08.5~),
               libkf5akonadicalendar-dev (>= 4:23.08.5~),
               libkf5akonadicontact-dev (>= 4:23.08.5~),
               libkf5akonadimime-dev (>= 4:23.08.5~),
               libkf5akonadinotes-dev (>= 4:23.08.5~),
               libkf5akonadiserver-dev (>= 4:23.08.5~),
               libkf5calendarcore-dev (>= 4:19.08.3~),
               libkf5calendarutils-dev (>= 4:23.08.5~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5configwidgets-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.5~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5dav-dev (>= 20.04.3~),
               libkf5grantleetheme-dev (>= 23.08.5~),
               libkf5holidays-dev,
               libkf5identitymanagement-dev (>= 23.08.5~),
               libkf5imap-dev (>= 23.08.5~),
               libkf5itemmodels-dev (>= 5.31.0~),
               libkf5kcmutils-dev (>= 5.31.0~),
               libkf5kdelibs4support-dev (>= 5.31.0~),
               libkf5kio-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:23.08.5~),
               libkf5mailtransport-dev (>= 23.08.5~),
               libkf5mbox-dev (>= 23.08.5~),
               libkf5mime-dev (>= 23.08.5~),
               libkf5notifyconfig-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:23.08.5~),
               libkf5pimtextedit-dev (>= 23.08.5~),
               libkf5syndication-dev (>= 18.11.80~),
               libkf5textaddons-dev,
               libkf5textwidgets-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkolabxml-dev (>= 1.1),
               libkpimgapi-dev (>= 23.08.5~),
               libqca-qt5-2-dev,
               libqt5networkauth5-dev,
               libqt5texttospeech5-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5 (>= 5.6.1~),
               libqt5webkit5-dev (>= 5.4.0~),
               libqt5xmlpatterns5-dev (>= 5.6.1~),
               libsasl2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.12),
               qt5keychain-dev,
               qtbase5-dev (>= 5.6.1~),
               qtdeclarative5-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
               shared-mime-info (>= 0.30),
               xsltproc,
Standards-Version: 3.9.6
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime

Package: kdepim-runtime
Architecture: any
Depends: akonadi-server (>= 1.8),
         kio-ldap,
         kio-sieve,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Replaces: akonadi-kde,
          kdepimlibs-kio-plugins,
          kf5-kdepimlibs-kio-plugins,
          libkf5libkdepim-data (<< 4:20.08.0~),
          libkf5libkdepim-plugins (<< 4:20.08.0~),
          libmaildir4,
          ${kde-l10n:all},
Breaks: akonadi-kde,
        kdepimlibs-kio-plugins,
        kdepimlibs5 (<< 4:4.4),
        kf5-kdepimlibs-kio-plugins,
        libkf5libkdepim-data (<< 4:20.08.0~),
        libkf5libkdepim-plugins (<< 4:20.08.0~),
        libmaildir4,
        ${kde-l10n:all},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.
