## kdepim-runtime 24.08.2

=== debian/changelog ===
kdepim-runtime (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 01 Nov 2024 11:14:52 -0500

kdepim-runtime (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:07 +0200

kdepim-runtime (4:24.08.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Make kdepim-runtime depend on kmailtransport-plugins.
  * Remove redundant patches.

 -- Patrick Franz <deltaone@debian.org>  Sun, 06 Oct 2024 20:14:18 +0200

kdepim-runtime (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar is
    available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 13:03:17 +0200

kdepim-runtime (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Sep 2024 17:47:06 +0200

kdepim-runtime (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Update lintian override info format in d/kdepim-runtime.lintian-overrides on
    line 6, 8, 10.
  * Remove 2 obsolete maintscript entries in 1 files.
  * Re-export upstream signing key without extra signatures.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Remove breaks/replaces for existing packages with versions older than
    oldstable.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 05:58:11 +0200
